App\Entity\User:
    type: entity
    table: user
    indexes:
        IDX_8D93D649EADEA542:
            columns:
                - azienda_id
    uniqueConstraints:
        UNIQ_8D93D649F85E0677:
            columns:
                - username
        UNIQ_8D93D649A347F2DC:
            columns:
                - profilo_id
        UNIQ_8D93D649E7927C74:
            columns:
                - email
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        fullName:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
            column: full_name
        username:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        email:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        password:
            type: string
            nullable: false
            length: 255
            options:
                fixed: false
        roles:
            type: json
            nullable: false
        profiloId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: profilo_id
    manyToOne:
        azienda:
            targetEntity: Aziende
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            joinColumns:
                azienda_id:
                    referencedColumnName: id
            orphanRemoval: false
    lifecycleCallbacks: {  }
